<form action="add_friend" method="POST">
    {% csrf_token %}
    <table>
        {{form}}    
        {% if request.GET.next %}
            <input type="hideen" name="next" value="{{request.GET.next}}">
        {% endif %}
    </table>
    <input type="submit" value="submit" />
</form>